/*
	File:		AppleModemToolDefinitions.r

	Copyright:	 1993 by Apple Computer, Inc.
				All rights reserved.

	Version:	Apple Modem Tool 1.5
	Created:	Sunday, July 18, 1993 22:00

*/


#ifndef __APPLEMODEMTOOLDEFINITIONS_R__
#define __APPLEMODEMTOOLDEFINITIONS_R__

#include "Types.r"

#ifndef	__TYPES_R__
#include "Types.r"
#endif	// __TYPES_R__

#undef reserved

type 'modm' {
	integer = 2;				// version of modm structure
	
	//	Some fields are reserved for use by Apple. Set them to reserved
	//	and later if we change them, your resource will still compile
	//	and function the same as it does now.
		
	boolean		reserved;
	boolean		reserved;

	// If your modem supports returning to command mode when receiving
	// a local break, and this initialization string enables that feature,
	// then set this to modemEntersCommandModeAfterBreak;
	boolean		reserved = false,
				modemDoesNotEnterCommandModeAfterBreak = false,
				modemEntersCommandModeAfterBreak = true;
						
	boolean		reserved;	
	boolean		reserved;
	boolean		reserved;
	boolean		reserved;
	
	boolean		reserved = false,
				modemShouldNotDefaultToHardwareMNP = false,
				modemDefaultsToHardwareMNP = true;
	
	boolean		reserved = false,
				modemShouldNotDefaultToSoftwareMNP = false,
				modemDefaultsToSoftwareMNP = true;

	boolean		reserved = false,
				modemShouldNotSupportSoftwareMNP = false,
				modemShouldSupportSoftwareMNP = true;
	
	boolean		reserved = false,
				modemDoesNotSupportHardwareMNP = false,
				modemDoesSupportHardwareMNP = true;		
						
	boolean		reserved;			

	boolean		noAutoBaud,
				autoBaud;		// modem autobauds

	// If your modem returns CONNECT with this initialization string
	// only when the connection was established at 300 bps, then set
	// this to connectMeansConnect300.
	boolean		reserved = false,
				connectMeansConnect300 = true,
				connectDoesNotMeanConnect300 = false;
						
	boolean		reserved;
	
	boolean		noDCDsupport,	// DCD dropping signals dropped connection
				modemProvidesDCD;		

	align word;
	pstring;					// initialization string
	
	align word;
	pstring;					// ring string
	
	align word;
	longint		NoPreference;	// preferred baudrate
	
	align word;
	pstring		NoPortPreference = "";	// preferred port
	
	align word;
	integer		HandshakeAny,
				HandshakeNone,
				HandshakeXonXoff,
				HandshakeDtrCts,
				HandshakeDtr,
				HandshakeCts;	// preferred handshake

	align word;
	pstring;					// AT command string to disable hardware MNP

	align word;
	pstring; 					// MNP CONNECT response string, appended to
				   				// connect response if hardware MNP is engaged.
													   
	align word;

	integer default = 0, 		//	PICT resource ID to use for Cabling button.
			NoPicture = 0,		//	default disables button, other pictures
			Din8ToDin8 = 20808,	//	are built into the Apple Modem Tool and
			Din8ToDin25 = 20825;//	are always available.

	align word;
	
	integer default = 0,		// Break duration to drop from online mode to command mode.
			shortBreak = 14,	// 233 milliseconds (this should work for most modems)
			longBreak = 210;	// 3.5 seconds
};

#endif	// __APPLEMODEMTOOLDEFINITIONS_R__