/*
	File:		SampleMODM.r

	Copyright:	 1993 by Apple Computer, Inc.
				All rights reserved.

	Version:	Apple Modem Tool 1.5
	Created:	Sunday, July 18, 1993 22:00

*/


#ifndef	__TYPES_R__
#include "Types.r"
#endif	// __TYPES_R__

#ifndef	__APPLEMODEMTOOLDEFINITIONS_R__
#include "AppleModemToolDefinitions.r"
#endif	// __APPLEMODEMTOOLDEFINITIONS_R__

/************************Some defines that make life easier********************/

#define	kModemDefinitionID	128			// Apple Modem Tool handles ID conflict resolution
#define	kCablingPictID		128			// No conflict resolution

/****************************Standard 'modm' file things***********************/

// This string is used by the System 7 Finder to explain why it cannot
// open the file (unless Macintosh Easy Open is installed).
resource 'STR '	(-16397, purgeable) {
	"This document describes a modem for the Apple Modem Tool. You cannot open "
	"or print this document. Use the Apple Modem Tool to install it."

};

/******************************************************************************/
/*					Define a Phreddys Phat Phreak-Modem 14400				  */
/*			    - our modernized clone of the Novation Apple-Cat ][			  */
/******************************************************************************/

resource 'modm' (kModemDefinitionID,
				"Phreddys Phat Phreak-Modem 14400", purgeable) {		
		reserved,
		reserved,
		modemEntersCommandModeAfterBreak,
		reserved,
		
		reserved,
		reserved,
		reserved,
		modemShouldNotDefaultToHardwareMNP,
		
		modemShouldNotDefaultToSoftwareMNP,
		modemShouldSupportSoftwareMNP,
		modemDoesSupportHardwareMNP,
		reserved,

		autoBaud,
		connectMeansConnect300,
		reserved,
		modemProvidesDCD,

//		"12345678911234567892123456789312345678941234567895123456789612345678971234567898"
		"AT &F X4 \\K0 \\N3 \\V1 &C1",		// Rez needs two backslashes for each one
		"",
		38400,
		NoPortPreference,
		HandshakeDtrCts,

		"AT\\N0",
		"/REL",
		kCablingPictID,
		default,
};

/******************************************************************************/
/*	The PICT we include wants to be as small in bytes as possible, as the	  */
/*	user may not realize that installing a 'modm' will take up any disk space.*/
/*	We want to try and make the PICT work as well as possible under all		  */
/*	combinations of System 6, System 7, 32-bit QuickDraw, Classic (non-color) */
/*	QuickDraw, etc. We also want the PICT to print well. The PICT also wants  */
/*	to describe the type of cable necessary and how to get one. This PICT	  */
/*	meets almost none of those criteria and is just a sample.				  */
/******************************************************************************/

data 'PICT' (kCablingPictID, purgeable) {
	$"0B62 0000 0000 0075 012C 0011 02FF 0C00 FFFE 0000 0048 0000 0048 0000"
	$"0000 0000 0075 012C 0000 0000 0001 000A 0000 0000 0075 012C 0098 804C"
	$"0000 0000 0075 012C 0000 0000 0000 0000 0048 0000 0048 0000 0000 0002"
	$"0001 0002 0000 0000 0000 0000 0000 0000 0047 9451 0000 0002 0000 FFFF"
	$"FFFF FFFF 0001 DDDD 0000 0000 0002 0000 0000 0000 0000 0000 0075 012C"
	$"0000 0000 0075 012C 0000 02B5 0002 B500 02B5 0002 B500 02B5 0002 B500"
	$"02B5 0002 B500 02B5 0032 0302 AAA0 2AF9 0007 A800 0A80 0000 0A80 FE00"
	$"050A AAAA A002 AAF6 0003 2AAA 02A0 F900 0102 A0FE 0002 AA00 AAFD 0001"
	$"0A80 F700 3603 02AA A02A F900 07A8 000A 8000 000A 80FE 0005 0AAA AAA8"
	$"02AA FA00 072A A000 002A AA02 A0F9 0001 02A0 FE00 02AA 00AA FD00 010A"
	$"80F7 0035 0302 A0A8 2AF9 0006 A800 0A80 0000 0AFD 0000 0AFE AA01 02AA"
	$"FA00 072A A000 002A 0A82 A0F9 0001 02A0 FE00 02AA 00AA FD00 010A 80F7"
	$"0049 1C02 A0A8 2A2A 02A2 A002 A800 A8A8 0A8A 82A0 2A2A 00AA 8000 0AA8"
	$"02AA 82AA FA00 272A A000 002A 0A82 A2A0 2A2A 002A 8002 A802 A0A8 0000"
	$"AA82 AA00 2A80 0A8A 802A 802A 2A0A 800A A800 0049 1C02 A0A8 2AAA 82AA"
	$"A80A AA02 AAA8 2AAA 82A0 282A 02AA A000 0AA8 00AA 82AA FA00 272A A000"
	$"002A 0A82 AAA8 2AAA 80AA A00A AA02 A0A8 0000 AA82 AA00 AAA0 2AAA 80AA"
	$"A02A AAAA A02A AA00 004D 4B02 A0A8 2A0A 82A0 A82A 0A82 A0A8 2A0A 80A8"
	$"A828 0A82 A000 0AA8 00AA 82AA 0AA8 0002 AAA8 02AA AA00 002A 0A82 A0A8"
	$"2A0A 82A0 A82A 0A82 A2A0 0000 AA82 AA02 A0A8 2A0A 82A0 A82A 0A82 A0A8"
	$"2A00 004D 1B02 A0A8 2A0A 82A0 A82A 0A82 A0A8 2A0A 80A8 A800 0A82 A000"
	$"0AA8 00AA 82FE AA2C 002A AAAA 02AA AA00 002A 0A82 A0A8 2A0A 82A0 A82A"
	$"0A82 A2A0 0000 A882 2A02 A0A8 2A0A 82A0 A82A 0A82 A0A8 2A00 004D 1B02"
	$"A0A8 2A0A 82A0 A82A 0A82 A0A8 2A0A 80A8 A800 0AA2 A000 0AA8 02AA 82FE"
	$"AA00 80FE AA28 82AA AA00 002A 0A82 A0A8 2A0A 82A0 A82A 0A82 A2A0 0000"
	$"A882 2A02 A0A8 2A0A 82A0 A82A 0A82 A0AA 2A00 004D 1702 AAA0 2A0A 82A0"
	$"A82A AA82 A0A8 2A0A 80A8 A800 0AA8 0000 0AFE AA30 02AA 82AA 80AA 80AA"
	$"802A A000 002A AA02 A0A8 2A0A 82AA A800 2A82 AA80 0000 A882 2A02 A0A8"
	$"2A0A 82AA A82A 0A82 A0AA 8000 004D 4B02 AA80 2A0A 82A0 002A AA82 A0A8"
	$"2A0A 8028 A000 02AA 8000 0AAA AAA8 02AA 00AA 8000 00AA 802A A000 002A"
	$"A802 A0A8 2A00 02AA A802 AA82 AA80 AAA0 A8AA 2A02 A0A8 2A0A 82AA A82A"
	$"0A82 A02A A800 004D 4B02 A000 2A0A 82A0 002A 0002 A0A8 2A0A 8028 A000"
	$"00AA A000 0AAA AA80 02AA 00AA 800A AAAA 802A A000 002A 0002 A0A8 2A00"
	$"02A0 000A 8A82 AA80 AAA0 A8AA 2A02 A0A8 2A0A 82A0 002A 0A82 A00A AA00"
	$"004D 1F02 A000 2A0A 82A0 002A 0A82 A0A8 2A0A 8028 A000 000A A000 0AA8"
	$"0000 02AA 00AA 80FE AA28 802A A000 002A 0002 A0A8 2A00 02A0 A82A 0A82"
	$"AAA0 0000 A8AA 2A02 A0A8 2A0A 82A0 A82A 0A82 A000 AA00 004D 4B02 A000"
	$"2A0A 82A0 002A 0A82 A0A8 2A0A 802A A000 0A82 A000 0AA8 0000 02AA 00AA"
	$"82AA 80AA 802A A000 002A 0002 A0A8 2A00 02A0 A82A 0A82 A2A0 0000 A8AA"
	$"2A02 A0A8 2A0A 82A0 A82A 0A82 A0A8 2A00 004D 4B02 A000 2A0A 82A0 002A"
	$"0A82 A0A8 2A0A 802A A000 0A82 A000 0AA8 0000 02AA 00AA 82AA 00AA 802A"
	$"A000 002A 0002 A0A8 2A00 02A0 A82A 0A82 A2A0 0000 A828 2A02 A0A8 2A0A"
	$"82A0 A82A 0A82 A0A8 2A00 004D 1F02 A000 2A0A 82A0 002A 0A82 A0A8 2A0A"
	$"800A 8000 0A82 A000 0AA8 0000 02AA 00AA 82FE AA28 802A AA00 002A 0002"
	$"A0A8 2A00 02A0 A82A 0A82 A2A0 0000 A828 2A02 A0A8 2A0A 82A0 A82A 0A82"
	$"A0A8 2A00 004D 1F02 A000 2A0A 82A0 000A AA02 AAA8 2AAA 800A 8000 0AAA"
	$"8000 0AA8 0000 02AA 00AA 80FE AA28 802A AA00 002A 0002 A0A8 2A00 00AA"
	$"A02A AA82 A0A8 0000 A828 2A00 AAA0 2AAA 80AA A02A 0A82 A0AA A800 004D"
	$"4B02 A000 2A0A 82A0 0002 A800 A8A8 0A8A 800A 8000 02AA 0000 0AA8 0000"
	$"02AA 00AA 802A A8AA 800A AA00 002A 0002 A0A8 2A00 002A 800A 8A82 A0A8"
	$"0000 A828 2A00 2A80 0A8A 802A 802A 0A82 A02A A000 0007 F100 010A 80C7"
	$"0006 F100 00AA C600 06F1 0000 AAC6 0002 B500 02B5 0002 B500 02B5 0007"
	$"000A B8AA 01A0 0007 000A B8AA 01A0 0007 000A B8AA 01A0 0007 000A B8AA"
	$"01A0 0007 000A B8AA 01A0 0007 000A B8AA 01A0 0007 000A B8AA 01A0 0007"
	$"000A B8AA 01A0 0002 B500 02B5 0002 B500 02B5 0002 B500 02B5 0002 B500"
	$"06D9 0000 80DE 002C 0222 02A8 F800 0020 FC00 0002 F300 00AA F900 0008"
	$"FC00 0120 80F7 0000 80FE 0000 08FE 0000 02FE 0003 0220 0000 2C02 2208"
	$"08F8 0000 20FC 0000 02F4 0000 02F8 0000 08FC 0001 2080 F700 0080 FE00"
	$"0008 FE00 0002 FE00 0302 2000 004B 4700 2002 0808 2202 0A0A 0280 2A80"
	$"A882 8280 A802 0A02 A880 82A0 20A0 A028 0880 A802 0000 0880 A80A A080"
	$"A82A 0A82 202A 00A8 8280 AA08 2800 AA08 2820 2082 80A0 0AA0 8080 0A82"
	$"02A0 2AFD 004B 4700 8002 0828 2802 2222 0820 8082 0888 8882 0002 2208"
	$"0880 8820 2222 2082 0A02 0800 A000 0A02 0820 2082 0008 2082 8080 0020"
	$"8882 0208 8802 0208 8820 2228 8208 2020 8080 2082 0800 82FD 004B 0200"
	$"8002 FE20 2E02 2282 2022 0088 2088 A082 8008 8220 2082 2080 2228 2202"
	$"0808 2000 082A 0808 2080 A082 8020 8202 00A0 0082 2088 0822 FE08 0F22"
	$"0880 8280 8808 8022 0200 8208 0A02 08FD 004B 4700 8008 20A0 8002 8208"
	$"2022 028A 80A0 8200 200A 0820 A082 2A00 2820 8202 200A 8000 0200 200A"
	$"8082 8200 2020 A808 0008 0082 8208 2828 2008 2828 2082 8202 0808 80A2"
	$"0A00 A808 0082 A0FD 004A 1000 2020 2220 8002 0208 2082 0A08 0080 8200"
	$"FE08 3222 2088 2000 2020 8208 2008 0008 0200 2008 0088 8200 0820 8008"
	$"0002 0082 0208 8820 2008 8820 2088 8202 0820 8282 2200 8008 0022 FC00"
	$"4C13 000A 8028 2880 0208 0A0A 02A2 82A0 8202 8AA0 080A FE28 310A 8020"
	$"80A0 A020 02A0 02A8 0020 02A0 A082 8AA0 282A 0802 A800 A202 8A0A 2028"
	$"0A0A 2028 A082 A802 80A8 A282 002A 0A2A 80A8 08FE 000E DA00 0080 EE00"
	$"0080 FC00 0002 F700 0EDB 0000 02EE 0000 02FB 0000 08F7 000F DB00 00A8"
	$"EE00 00A8 FC00 0102 A0F7 0002 B500 02B5 0002 B500 02B5 0002 B500 02B5"
	$"0002 B500 02B5 0002 B500 02B5 0002 B500 02B5 0002 B500 02B5 0002 B500"
	$"02B5 0002 B500 02B5 0002 B500 02B5 0002 B500 02B5 0002 B500 02B5 0002"
	$"B500 02B5 0002 B500 02B5 0002 B500 02B5 0002 B500 02B5 0002 B500 02B5"
	$"0002 B500 02B5 0002 B500 02B5 0002 B500 02B5 0002 B500 02B5 0036 FF00"
	$"052A 0000 A802 A0F8 0000 04FD 0008 0540 0000 2A80 AA00 A8FC 0006 80A0"
	$"0280 0020 08FE 0000 A8F1 0009 2082 A800 0020 0008 028A FE00 3BFF 0005"
	$"8000 0008 0020 F800 0004 FC00 0640 0000 2020 8082 FB00 0982 0808 2000"
	$"2008 0000 02FA 0000 80FD 0000 20FD 0009 8202 0200 0020 0008 028A FE00"
	$"3B01 0002 FE00 0208 0020 F800 0004 FC00 0640 0000 2020 8082 FB00 0988"
	$"0A20 2800 2008 0000 08FA 0000 80FD 0000 20FD 0009 A282 0080 0020 0008"
	$"0082 FE00 4A1D 0002 0002 A808 0020 0000 02A0 2020 8A80 0004 0405 4104"
	$"1040 0000 2020 8082 FC00 252A 8822 2088 0AA0 0800 0008 0022 A02A 00A8"
	$"0AA8 0A80 0002 AA02 A000 00A2 8200 8808 2280 0802 08FE 0049 0200 0200"
	$"FE08 1800 2000 0008 0820 20A0 8000 0410 1011 1110 4000 002A 80AA 00A0"
	$"FD00 1980 8822 2088 2020 0800 0008 2828 2080 8202 0080 2020 0000 2008"
	$"08FE 0006 0200 8808 2820 08FC 0049 0200 0200 FE08 1800 2000 0008 0820"
	$"2080 0000 0440 1551 1110 4000 0020 2080 8008 FD00 1380 8882 2208 2020"
	$"0800 0008 0820 00AA 82AA 0080 0AFE 0002 2008 08FE 0006 0200 8808 2020"
	$"08FC 0049 0200 0200 FE08 1800 2000 0008 0820 2080 0000 0540 1001 1110"
	$"4000 0020 2080 8002 FD00 1980 8A02 2808 2020 0800 0008 0820 0080 0200"
	$"0080 0080 0000 2008 08FE 0006 0200 8808 2020 08FC 0049 FF00 1280 0828"
	$"0800 2000 0008 0820 A080 0000 0410 1000 FE40 FF00 FF20 FF80 FF02 0980"
	$"0000 8282 0808 2020 A0FE 000F 0208 2000 8002 0000 8020 2000 0020 0808"
	$"FE00 FF02 0308 2820 20FB 004A FF00 282A 0288 0A80 2A00 0002 A00A 2080"
	$"0000 0404 0550 4040 5400 002A 80AA 02A8 0280 0000 2880 A002 800A 2008"
	$"FE00 0EA8 2000 2A80 AA00 280A 8000 000A 02A0 FE00 0602 A802 8820 2008"
	$"FC00 06E1 0000 80D6 0006 E200 0002 D500 02B5 0002 B500 02B5 0002 B500"
	$"00FF"
};
